<?php 
	if ( $this->is_upcomingtour ) {
		$type = 'upcomingtours';
	}
	else {
		$type = 'tours';
	}

	// <editor-fold defaultstate="collapsed" desc="Sort Functions">
	$fn_order_title = create_function('$a, $b', '
		if ( is_object($a) && is_object($b) ) {
			return strnatcmp($a->city_title, $b->city_title);
		}
		elseif ( is_array($a) && is_array($b) ) {
			return strnatcmp($a["city_title"], $b["city_title"]);
		}
		else return 0;
	');
	// </editor-fold>

	$cities = Model_Statistics::getCities(null, null, null, ! (bool) $this->is_upcomingtour, (bool) $this->is_upcomingtour);
	usort($cities, $fn_order_title);

	$country_iso = Cubix_Application::getById()->iso;

	if ( ! isset($this->params['city']) ) $this->params['city'] = '';
?>

<? if ( count($cities) > 0 ): ?>
<div class="bbox" id="city-list">
	<span class="strong"><?= $this->t('show_only_girls_on_tour_in') ?>:</span>
	<div class="clear"></div>
	
	<ul class="tour-cities-list">
	<? foreach ($cities as $i => $city): ?>		
		<li>
			<? if ( $this->params['city'] != $city->city_slug ): ?>
			<a href="<?= $this->getLink('escorts', array($type, 'city' => $country_iso . '_' . $city->city_slug, 'filter' => null, 'page' => null) ) ?>"><span><?= $city->city_title ?></span> (<?= $city->escort_count ?>)</a>
			<? else: ?>
			<span class="active e_count strong"><?= $city->city_title ?> (<?= $city->escort_count ?>)</span>
			<? endif ?>
		</li>
	<? endforeach ?>
	</ul>
	<div class="clear"></div>
</div>
<? endif ?>

<div class="tour-link">
	<? if ( $type == 'upcomingtours' ): ?>
	<a href="<?= $this->getLink('escorts', array('tours'), true) ?>" class="<?= $this->lang() ?>_btn_tours"></a>
	<? else: ?>
	<a href="<?= $this->getLink('escorts', array('upcomingtours'), true) ?>" class="<?= $this->lang() ?>_btn_upcoming_tours"></a>
	<? endif ?>
</div>




